AbstractInstallAction (install4j API)
Description: declaration: package: com.install4j.api.actions, class: AbstractInstallAction

# Class AbstractInstallAction

java.lang.Object
com.install4j.api.beans.AbstractBean
com.install4j.api.actions.AbstractInstallAction

All Implemented Interfaces:
  `Action, InstallAction, Bean, Serializable`

public abstract class AbstractInstallAction extends AbstractBean implements InstallAction
Abstract base class for install actions. The `rollback` method does nothing by default. Override it in your action to perform an actual rollback.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractInstallAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(Context context)`
  This method is called after the properties have been set
  `boolean`
  `isRollbackSupported()`
  This method is called by the framework to determine if the action supports a rollback.
  `void`
  `rollback(InstallerContext context)`
  This method is called by the framework to perform a rollback of the `install` method.

  ### Methods inherited from class AbstractBean

  `executeActionListAsync, executeActionListSync, getTextOverrideValue, replaceVariables, replaceVariables, replaceVariables, replaceVariables, replaceVariables, replaceVariables, replaceVariables, replaceVariables, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, replaceWithTextOverride, rollbackActionList`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface InstallAction

  `install`

- ## Constructor Details

  - ### AbstractInstallAction

    public AbstractInstallAction()

- ## Method Details

  - ### rollback

    public void rollback(InstallerContext context)
    Description copied from interface: `InstallAction`
    This method is called by the framework to perform a rollback of the `install` method. This method is only called if the `install` method has already been called and the installation is canceled by the user or if the installation fails. If this action is executed before a rollback barrier that has already been passed successfully, the rollback will not be performed for this action. The "Installation screen" is the only default rollback barrier in install4j.
    Specified by:
      `rollback` in interface `InstallAction`
    Parameters:
      `context` - the context of the installation.

  - ### init

    public void init(Context context)
    Description copied from interface: `Action`
    This method is called after the properties have been set
    Specified by:
      `init` in interface `Action`
    Parameters:
      `context` - the installation or uninstallation context

  - ### isRollbackSupported

    public boolean isRollbackSupported()
    Description copied from interface: `InstallAction`
    This method is called by the framework to determine if the action supports a rollback.
    Specified by:
      `isRollbackSupported` in interface `InstallAction`
    Returns:
      `true` if a rollback is supported.